<?php

/**
 * This is the model class for table "rendicion".
 *
 * The followings are the available columns in table 'rendicion':
 * @property integer $id
 * @property string $fecha
 * @property string $saldo_anterior
 * @property string $transferencias
 * @property string $saldo_capital
 * @property string $campo1
 * @property string $monto1
 * @property string $campo2
 * @property string $monto2
 * @property string $campo3
 * @property string $monto3
 * @property string $campo4
 * @property string $monto4
 * @property string $campo5
 * @property string $monto5
 * @property string $sub_total
 * @property string $efectivo
 * @property string $deposito
 * @property string $total
 */
class Rendicion extends CActiveRecord
{
	public $fecha_desde;
        public $fecha_hasta;
        public $num;
        
	public function tableName()
	{
		return 'rendicion';
	}

	public function rules()
	{
		
		return array(
                    
			array('id_gestor, fecha', 'required'),
			array('id_gestor', 'numerical', 'integerOnly'=>true),
                        array('saldo_anterior, transferencias,saldo_capital,  monto1, monto2,  monto3,  monto4, monto5,monto6,monto7,monto8, sub_total, efectivo, deposito, total', 'numerical'),
			array(' saldo_anterior, transferencias, saldo_capital, campo1, monto1, campo2, monto2, campo3, monto3, campo4, monto4, campo5, monto5, sub_total, efectivo, deposito, total', 'length', 'max'=>100),
			array('fecha_desde,fecha_hasta,id, id_gestor, fecha, saldo_anterior, '
                            . 'transferencias, saldo_capital,'
                            . ' campo1, monto1, campo2, monto2, campo3, monto3, '
                            . 'campo4, monto4, campo5, monto5,campo6, monto6,campo7, monto7, campo8, monto8,'
                            . 'sub_total, efectivo, deposito, total', 'safe', 'on'=>'search'),
		);
	}

	
	public function relations()
	{
		return array(
		);
	}


	public function attributeLabels()
	{
		return array(
			'id' => 'ID',
			'id_gestor' => 'Gestor',
			'fecha' => 'Fecha',
			'saldo_anterior' => 'Saldo Anterior',
			'transferencias' => 'Transferencia por el Jefe ',
			'saldo_capital' => 'Saldo Capital',
			'campo1' => 'Campo Uno',
			'monto1' => 'Monto Uno',
			'campo2' => 'Campo Dos',
			'monto2' => 'Monto Dos',
			'campo3' => 'Campo Tres',
			'monto3' => 'Monto Tres',
			'campo4' => 'Campo cuatro',
			'monto4' => 'Capital + Comisión',
			'campo5' => 'Campo Cinco',
			'monto5' => 'Monto Cinco',
                        'campo6' => 'Campo Seis',
			'monto6' => 'Monto Seis',
                        'campo7' => 'Campo Siete',
			'monto7' => 'Monto Siete',
                        'campo8' => 'Campo Ocho',
			'monto8' => 'Monto Ocho',
			'sub_total' => 'Sub Total',
			'efectivo' => 'Efectivo',
			'deposito' => 'Deposito',
			'total' => 'Total',
                        'foto' => 'Foto de Transferencia',
		);
	}


	public function search()
	{
		$criteria=new CDbCriteria;
           
                if(!empty($this->fecha_desde) && empty($this->fecha_hasta)){
                    $criteria->condition="fecha <= '$this->fecha_desde' and   and borrado=0  ";
                }elseif(!empty($this->fecha_hasta) && empty($this->fecha_desde)){
                    $criteria->condition="fecha >= '$this->fecha_hasta'  and    and borrado=0  ";
                }elseif(!empty($this->fecha_hasta) && !empty($this->fecha_desde)){
                    $criteria->condition="fecha >= '$this->fecha_desde' and fecha <= '$this->fecha_hasta'   and borrado=0  ";
                    
                }
		$criteria->compare('id',$this->id);
		$criteria->compare('id_gestor',$this->id_gestor);
		$criteria->compare('saldo_anterior',$this->saldo_anterior,true);
		$criteria->compare('transferencias',$this->transferencias,true);
		$criteria->compare('saldo_capital',$this->saldo_capital,true);
		$criteria->compare('LOWER(campo1)',strtolower($this->campo1),true);
		$criteria->compare('monto1',$this->monto1,true);
		$criteria->compare('LOWER(campo2)',strtolower($this->campo2),true);
		$criteria->compare('monto2',$this->monto2,true);
		$criteria->compare('LOWER(campo3)',strtolower($this->campo3),true);
		$criteria->compare('monto3',$this->monto3,true);
		$criteria->compare('LOWER(campo4)',strtolower($this->campo4),true);
		$criteria->compare('monto4',$this->monto4,true);
		$criteria->compare('LOWER(campo5)',strtolower($this->campo5),true);
		$criteria->compare('monto5',$this->monto5,true);
		$criteria->compare('sub_total',$this->sub_total,true);
		$criteria->compare('efectivo',$this->efectivo,true);
		$criteria->compare('deposito',$this->deposito,true);
		$criteria->compare('total',$this->total,true);
                $criteria->compare('borrado',0);
                
		$sort = new CSort();
                $sort->defaultOrder = 'id DESC';

                $data = new CActiveDataProvider($this, array(
                    'criteria' => $criteria,
                    'pagination' => array(
                        'pageSize' => Yii::app()->user->getState('pageSize', Yii::app()->params['defaultPageSize']),
                    ),
                    'sort' => $sort,
                ));
                
                $_SESSION['rendicion'] = new CActiveDataProvider($this, array(
                    'criteria' => $criteria,
                    'sort' => $sort,
                    "pagination" => false
                ));

                return $data;
                
                
	}


	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
      
        public function add(){
            $insert = Yii::app()->db->createCommand()->
                insert("rendicion", array(
                    "id_gestor"=>$_POST['Rendicion']['id_gestor'], 
                    "fecha"=>date('Y-m-d'), 
                    "saldo_anterior"=>$_POST['Rendicion']['saldo_anterior']!=NULL?$_POST['Rendicion']['saldo_anterior']:'0',
                    "transferencias"=>$_POST['Rendicion']['transferencias']!=NULL?$_POST['Rendicion']['transferencias']:'0',
                    "saldo_capital"=>$_POST['Rendicion']['saldo_capital']!=NULL?$_POST['Rendicion']['saldo_capital']:'0',
                    "campo1"=>$_POST['Rendicion']['campo1']!=NULL?Utility::mayuscula($_POST['Rendicion']['campo1']):NULL,
                    "monto1"=>$_POST['Rendicion']['monto1']!=NULL?$_POST['Rendicion']['monto1']:'0',
                    "campo2"=>$_POST['Rendicion']['campo2']!=NULL?Utility::mayuscula($_POST['Rendicion']['campo2']):NULL,
                    "monto2"=>$_POST['Rendicion']['monto2']!=NULL?$_POST['Rendicion']['monto2']:'0',
                    "campo3"=>$_POST['Rendicion']['campo3']!=NULL?Utility::mayuscula($_POST['Rendicion']['campo3']):NULL,
                    "monto3"=>$_POST['Rendicion']['monto3']!=NULL?$_POST['Rendicion']['monto3']:'0',
                    "campo4"=>$_POST['Rendicion']['campo4']!=NULL?Utility::mayuscula($_POST['Rendicion']['campo4']):NULL,
                    "monto4"=>$_POST['Rendicion']['monto4']!=NULL?$_POST['Rendicion']['monto4']:'0',
                    "campo5"=>$_POST['Rendicion']['campo5']!=NULL?Utility::mayuscula($_POST['Rendicion']['campo5']):NULL,
                    "monto5"=>$_POST['Rendicion']['monto5']!=NULL?$_POST['Rendicion']['monto5']:'0',
                    
                    "campo6"=>$_POST['Rendicion']['campo6']!=NULL?Utility::mayuscula($_POST['Rendicion']['campo6']):NULL,
                    "monto6"=>$_POST['Rendicion']['monto6']!=NULL?$_POST['Rendicion']['monto6']:'0',
                    
                    "campo7"=>$_POST['Rendicion']['campo7']!=NULL?Utility::mayuscula($_POST['Rendicion']['campo7']):NULL,
                    "monto7"=>$_POST['Rendicion']['monto7']!=NULL?$_POST['Rendicion']['monto7']:'0',
                    
                    "campo8"=>$_POST['Rendicion']['campo8']!=NULL?Utility::mayuscula($_POST['Rendicion']['campo8']):NULL,
                    "monto8"=>$_POST['Rendicion']['monto8']!=NULL?$_POST['Rendicion']['monto8']:'0',
                    
                    
                    "sub_total"=>$_POST['Rendicion']['sub_total']!=NULL?$_POST['Rendicion']['sub_total']:'0',
                    "efectivo"=>$_POST['Rendicion']['efectivo']!=NULL?$_POST['Rendicion']['efectivo']:'0',
                    "deposito"=>$_POST['Rendicion']['deposito']!=NULL?$_POST['Rendicion']['deposito']:'0',
                    "total"=>$_POST['Rendicion']['total']!=NULL?$_POST['Rendicion']['total']:'0',
                    "foto"=>$_POST['Rendicion']['foto'],
                    "observacion"=>$_POST['Rendicion']['observacion']!=NULL?Utility::mayuscula($_POST['Rendicion']['observacion']):NULL,
                    "borrado"=>'0'
                    
            ));
            return $insert;
        }
        
        public static function edit($id) {
            $update = Yii::app()->db->createCommand()->
                update("rendicion", array(
                            "id_gestor"=>$_POST['Rendicion']['id_gestor'], 
                 
                    "fecha"=>Utility::guardarFecha($_POST['Rendicion']['fecha']), 

                    "saldo_anterior"=>$_POST['Rendicion']['saldo_anterior']!=NULL?$_POST['Rendicion']['saldo_anterior']:'0',
                    "transferencias"=>$_POST['Rendicion']['transferencias']!=NULL?$_POST['Rendicion']['transferencias']:'0',
                    "saldo_capital"=>$_POST['Rendicion']['saldo_capital']!=NULL?$_POST['Rendicion']['saldo_capital']:'0',
                    "campo1"=>$_POST['Rendicion']['campo1']!=NULL?Utility::mayuscula($_POST['Rendicion']['campo1']):NULL,
                    "monto1"=>$_POST['Rendicion']['monto1']!=NULL?$_POST['Rendicion']['monto1']:'0',
                    "campo2"=>$_POST['Rendicion']['campo2']!=NULL?Utility::mayuscula($_POST['Rendicion']['campo2']):NULL,
                    "monto2"=>$_POST['Rendicion']['monto2']!=NULL?$_POST['Rendicion']['monto2']:'0',
                    "campo3"=>$_POST['Rendicion']['campo3']!=NULL?Utility::mayuscula($_POST['Rendicion']['campo3']):NULL,
                    "monto3"=>$_POST['Rendicion']['monto3']!=NULL?$_POST['Rendicion']['monto3']:'0',
                    "campo4"=>$_POST['Rendicion']['campo4']!=NULL?Utility::mayuscula($_POST['Rendicion']['campo4']):NULL,
                    "monto4"=>$_POST['Rendicion']['monto4']!=NULL?$_POST['Rendicion']['monto4']:'0',
                    "campo5"=>$_POST['Rendicion']['campo5']!=NULL?Utility::mayuscula($_POST['Rendicion']['campo5']):NULL,
                    "monto5"=>$_POST['Rendicion']['monto5']!=NULL?$_POST['Rendicion']['monto5']:'0',
                    "campo6"=>$_POST['Rendicion']['campo6']!=NULL?Utility::mayuscula($_POST['Rendicion']['campo6']):NULL,
                    "monto6"=>$_POST['Rendicion']['monto6']!=NULL?$_POST['Rendicion']['monto6']:'0',
                    
                    "campo7"=>$_POST['Rendicion']['campo7']!=NULL?Utility::mayuscula($_POST['Rendicion']['campo7']):NULL,
                    "monto7"=>$_POST['Rendicion']['monto7']!=NULL?$_POST['Rendicion']['monto7']:'0',
                    
                    "campo8"=>$_POST['Rendicion']['campo8']!=NULL?Utility::mayuscula($_POST['Rendicion']['campo8']):NULL,
                    "monto8"=>$_POST['Rendicion']['monto8']!=NULL?$_POST['Rendicion']['monto8']:'0',
                    
                    
                    
                    "foto"=>$_POST['Rendicion']['foto'],
                    "observacion"=>$_POST['Rendicion']['observacion']!=NULL?Utility::mayuscula($_POST['Rendicion']['observacion']):NULL,
                    "sub_total"=>$_POST['Rendicion']['sub_total']!=NULL?$_POST['Rendicion']['sub_total']:'0',
                    "efectivo"=>$_POST['Rendicion']['efectivo']!=NULL?$_POST['Rendicion']['efectivo']:'0',
                    "deposito"=>$_POST['Rendicion']['deposito']!=NULL?$_POST['Rendicion']['deposito']:'0',
                    "total"=>$_POST['Rendicion']['total']!=NULL?$_POST['Rendicion']['total']:'0',
            ), "id=$id");
            return $update;
        }

        public static function borrar($id){
            $update = Yii::app()->db->createCommand()->
                update("rendicion", array(
                "borrado" =>'1',           
            ), "id=$id");
            return $update;
        }
        
        public static  function todo(){
            $row= Yii::app()->db->createCommand("SELECT COUNT(id) as num,SUM(deposito) as deposito,SUM(efectivo) as efectivo,SUM(total) as total FROM rendicion WHERE  borrado=0 ")->queryRow();
            return $row;
        }
    
        
        
    
    public static  function totalajax($fecha_desde,$fecha_hasta,$id_gestor ){
 
        
        $sql1="";
        $sql2="";
   
        
        if(!empty($fecha_desde) && empty($fecha_hasta)){
          $sql1= "AND DATE_FORMAT(fecha, '%Y-%m-%d')  <= '$fecha_desde' ";
        }elseif(!empty($fecha_hasta) && empty($fecha_desde)){
          $sql1= "AND DATE_FORMAT(fecha, '%Y-%m-%d') >= '$fecha_hasta'";
        }elseif(!empty($fecha_hasta) && !empty($fecha_desde)){
          $sql1=  "AND DATE_FORMAT(fecha, '%Y-%m-%d') >= '$fecha_desde' and DATE_FORMAT(fecha, '%Y-%m-%d') <= '$fecha_hasta' ";
        }
        
        
        if(!empty($id_gestor)){
        $sql2=" AND  id_gestor='".$id_gestor."'   ";
        }
  

        $consulta= $sql1.$sql2;

     
    if(!empty($sql1) || !empty($sql2) ){
          $row= Yii::app()->db->createCommand("SELECT COUNT(id) as num,SUM(deposito) as deposito,SUM(efectivo) as efectivo,SUM(total) as total FROM rendicion WHERE  borrado=0 ".$consulta)->queryRow();
      
        }else{
          $row= Yii::app()->db->createCommand("SELECT COUNT(id) as num,SUM(deposito) as deposito,SUM(efectivo) as efectivo,SUM(total) as total  FROM rendicion WHERE  borrado=0 ")->queryRow();
        }
        
        return $row;
    }
        
        
    
      public static  function reporte($fecha,$id_gestor ){
 
        
        $sql1="";
        $sql2="";
   
        
        if(!empty($fecha)){
          $sql1= "AND DATE_FORMAT(fecha, '%Y-%m-%d')  = '$fecha' ";
        }
        
        
        if(!empty($id_gestor)){
        $sql2=" AND  id_gestor='".$id_gestor."'   ";
        }
  

        $consulta= $sql1.$sql2;

     
        if(!empty($sql1) || !empty($sql2) ){
          $row= Yii::app()->db->createCommand("SELECT * FROM rendicion WHERE  borrado=0 ".$consulta)->queryAll();
      
        }else{
          $row= Yii::app()->db->createCommand("SELECT *  FROM rendicion WHERE  borrado=0 ")->queryAll();
        }
        
        return $row;
    }
    
    
    
    public static  function nuevos($fecha,$id_gestor ){
 
        
        $sql1="";
        $sql2="";
   
        
        if(!empty($fecha)){
          $sql1= "AND DATE_FORMAT(fecha_inicio, '%Y-%m-%d')  = '$fecha' ";
        }
        
        
        if(!empty($id_gestor)){
        $sql2=" AND  id_gestor='".$id_gestor."'   ";
        }
  

        $consulta= $sql1.$sql2;

     
        if(!empty($sql1) || !empty($sql2) ){
          $row= Yii::app()->db->createCommand("SELECT * FROM prestamo WHERE  borrado=0 and num=0 ".$consulta)->queryAll();
      
        }else{
          $row= Yii::app()->db->createCommand("SELECT *  FROM prestamo WHERE  borrado=0 and num=0")->queryAll();
        }
        
        return $row;
    }
    
     public static  function renovacion($fecha,$id_gestor ){
 
        
        $sql1="";
        $sql2="";
   
        
        if(!empty($fecha)){
          $sql1= "AND DATE_FORMAT(fecha_inicio, '%Y-%m-%d')  = '$fecha' ";
        }
        
        
        if(!empty($id_gestor)){
        $sql2=" AND  id_gestor='".$id_gestor."'   ";
        }
  

        $consulta= $sql1.$sql2;

     
        if(!empty($sql1) || !empty($sql2) ){
          $row= Yii::app()->db->createCommand("SELECT * FROM prestamo WHERE  borrado=0 and num>0 ".$consulta)->queryAll();
      
        }else{
          $row= Yii::app()->db->createCommand("SELECT *  FROM prestamo WHERE  borrado=0 and num>0")->queryAll();
        }
        
        return $row;
    }
    
    
        
}
